# Kickstart defaults file for an interative install.
# This is not loaded if a kickstart file is provided on the command line.
firstboot --enable
lang zh_CN.UTF-8
timezone Asia/Shanghai

%anaconda
# Default password policies
pwpolicy root --notstrict --minlen=8 --minquality=1 --nochanges --notempty
pwpolicy user --notstrict --minlen=8 --minquality=1 --nochanges --emptyok
pwpolicy luks --notstrict --minlen=8 --minquality=1 --nochanges --notempty
# NOTE: This applies only to *fully* interactive installations, partial kickstart
#       installations use defaults specified in pyanaconda/pwpolicy.py.
#       Automated kickstart installs simply ignore the password policy as the policy
#       only applies to the UI, not for passwords specified in kickstart.
%end

%post --nochroot
#####copy kyinfo and LICENSE
if [ -e /tmp/.kyinfo ];then
  echo y | cp -a /tmp/.kyinfo $ANA_INSTALL_PATH/etc/
fi
if [ -e /tmp/LICENSE ];then
  echo y | cp -a /tmp/LICENSE $ANA_INSTALL_PATH/etc/
fi
if [ -e /run/install/repo/.kyinfo ];then
  echo y | cp -a /run/install/repo/.kyinfo $ANA_INSTALL_PATH/etc/
fi
if [ -e /run/install/repo/LICENSE ];then
  echo y | cp -a /run/install/repo/LICENSE $ANA_INSTALL_PATH/etc/
fi
%end
